#
# Conditional build:
%bcond_with	tests	# unit tests (one fails on pytest.skip???)

Summary:	Extended pickling support for Python objects
Summary(pl.UTF-8):	Rozszerzona obsługa operacji pickle dla obiektów pythonowych
Name:		python3-cloudpickle
Version:	1.6.0
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cloudpickle/
Source0:	https://files.pythonhosted.org/packages/source/c/cloudpickle/cloudpickle-%{version}.tar.gz
# Source0-md5:	f1202c1f0002166bfc785853c4684a82
URL:		https://pypi.org/project/cloudpickle/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-numpy
BuildRequires:	python3-pytest
BuildRequires:	python3-scipy
BuildRequires:	python3-tornado
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cloudpickle makes it possible to serialize Python constructs not
supported by the default pickle module from the Python standard
library.

cloudpickle is especially useful for cluster computing where Python
code is shipped over the network to execute on remote hosts, possibly
close to the data.

Among other things, cloudpickle supports pickling for lambda functions
along with functions and classes defined interactively in the __main__
module (for instance in a script, a shell or a Jupyter notebook).

%description -l pl.UTF-8
cloudpickle pozwala serializować konstrukcje pythonowe nie obsługiwane
domyślnie przez moduł pickle z biblioteki standardowej Pythona.

cloudpickle jest przydatne szczególnie przy obliczeniach klastrowych,
gdzie kod pythonowy jest rozmieszczony po sieci, aby wykonywał się na
zdalnych maszynach, możliwie blisko danych.

cloudpickle obsługuje m.in. operacje pickle na funkcjach lambda oraz
funkcjach lub klasach definiowanych interaktywnie w module __main__
(np. w skrypcie, z powłoki lub w postaci Jupyter notebook).

%prep
%setup -q -n cloudpickle-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/tests/cloudpickle_testpkg \
%{__python3} -m unittest tests/cloudpickle_test.py tests/cloudpickle_file_test.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/cloudpickle
%{py3_sitescriptdir}/cloudpickle-%{version}-py*.egg-info
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cloudpickle.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9bc75af
- release 2 (by relup.sh)

* Tue Feb 09 2021 Jakub Bogusz <qboosh@pld-linux.org> f9f7113
- python-cloudpickle.spec updated to 1.6.0 for python 3.5+

* Tue Feb 09 2021 Jakub Bogusz <qboosh@pld-linux.org> dec3001
- new

